Hosting History API
The hosting-history API provides a list of changes that have occurred in a domain name’s IP address and name servers. IP and name server events include the value before and after the change and indicate the type of action that triggered the event.
API endpoint
Section titled “API endpoint”https://api.domaintools.com/v1/{domain}/hosting-history/Request parameters
Section titled “Request parameters”Required parameter
Section titled “Required parameter”| Parameter | Type | Description |
|---|---|---|
| domain | string | A valid domain name |
Optional parameters
Section titled “Optional parameters”| Parameter | Type | Description |
|---|---|---|
| app_name | string | Appliance, module, or playbook, or any combination of these. |
| app_partner | string | Your product name. |
| app_version | string | Version of your integration/connector. |
| format | string | Specifies the desired response format. This accepts the values HTML, JSON, and XML. |
Example request
Section titled “Example request”curl -X GET \ 'https://api.domaintools.com/v1/domaintools.com/hosting-history/?format=json' \ -H "X-Api-Key: $DOMAINTOOLS_API_KEY"Response format
Section titled “Response format”Responses include IP and nameserver history. Each history array contains event objects with action codes:
N— New (first observed IP or nameserver)C— Change (value changed frompre_*topost_*)D— Not Resolvable (domain stopped resolving)T— Transfer (nameserver transferred to a new provider)
Example response
Section titled “Example response”The following example is abbreviated. Actual responses may include many entries in each history array.
{ "response": { "domain_name": "domaintools.com", "ip_history": [ { "domain": "DOMAINTOOLS.COM", "post_ip": "63.247.77.156", "pre_ip": null, "action": "N", "actiondate": "2004-05-03", "action_in_words": "New" }, { "domain": "DOMAINTOOLS.COM", "post_ip": "", "pre_ip": "63.247.77.156", "action": "D", "actiondate": "2005-10-02", "action_in_words": "Not Resolvable" }, { "domain": "DOMAINTOOLS.COM", "post_ip": "66.249.17.251", "pre_ip": "66.249.4.251", "action": "C", "actiondate": "2007-03-10", "action_in_words": "Change" } ], "nameserver_history": [ { "domain": "DOMAINTOOLS.COM", "action": "T", "actiondate": "2020-01-11", "action_in_words": "Transfer", "post_mns": "Nsone.net", "pre_mns": "Dynect.net" } ], "registrar_history": [] }}Sample queries
Section titled “Sample queries”- HTML:
https://api.domaintools.com/v1/domaintools.com/hosting-history/?format=html - JSON:
https://api.domaintools.com/v1/domaintools.com/hosting-history/ - XML:
https://api.domaintools.com/v1/domaintools.com/hosting-history/?format=xml